
From: Andrey Panin <pazke@donpac.ru>

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/ppp_async.c  |    2 +-
 25-akpm/include/linux/ppp_defs.h |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/net/ppp_async.c~crc16-renaming-in-ppp-driver drivers/net/ppp_async.c
--- 25/drivers/net/ppp_async.c~crc16-renaming-in-ppp-driver	Thu Jul  8 15:15:10 2004
+++ 25-akpm/drivers/net/ppp_async.c	Thu Jul  8 15:15:10 2004
@@ -24,7 +24,7 @@
 #include <linux/tty.h>
 #include <linux/netdevice.h>
 #include <linux/poll.h>
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 #include <linux/ppp_defs.h>
 #include <linux/if_ppp.h>
 #include <linux/ppp_channel.h>
diff -puN include/linux/ppp_defs.h~crc16-renaming-in-ppp-driver include/linux/ppp_defs.h
--- 25/include/linux/ppp_defs.h~crc16-renaming-in-ppp-driver	Thu Jul  8 15:15:10 2004
+++ 25-akpm/include/linux/ppp_defs.h	Thu Jul  8 15:15:10 2004
@@ -42,7 +42,7 @@
 #ifndef _PPP_DEFS_H_
 #define _PPP_DEFS_H_
 
-#include <linux/crc16.h>
+#include <linux/crc-ccitt.h>
 
 /*
  * The basic PPP frame.
@@ -97,7 +97,7 @@
 
 #define PPP_INITFCS	0xffff	/* Initial FCS value */
 #define PPP_GOODFCS	0xf0b8	/* Good final FCS value */
-#define PPP_FCS(fcs, c) crc16_byte(fcs, c)
+#define PPP_FCS(fcs, c) crc_ccitt_byte(fcs, c)
 
 /*
  * Extended asyncmap - allows any character to be escaped.
_
